Need help? Get answers from the docs with Omni's in-app AI! Log in to your Omni instance and open the Omni Agent in the sidebar.
curl --request DELETE \
--url https://{instance}.omniapp.co/api/v1/folders/{folderId}/permissions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"userIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"userGroupIds": [
"<string>"
]
}
'{
"success": true
}Revoke folder permissions from users or groups
curl --request DELETE \
--url https://{instance}.omniapp.co/api/v1/folders/{folderId}/permissions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"userIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"userGroupIds": [
"<string>"
]
}
'{
"success": true
}Documentation Index
Fetch the complete documentation index at: https://docs.omni.co/llms.txt
Use this file to discover all available pages before exploring further.
Can be either an Organization API Key or Personal Access Token (PAT).
Include in the Authorization header as: Bearer YOUR_TOKEN
The UUID of the folder. Use the List folders endpoint to retrieve folder IDs.
The list of user IDs to revoke permissions from. Use the List users or List embed users endpoints to retrieve user IDs.
Either userIds or userGroupIds is required.
The list of user group IDs to revoke permissions from. Use the List user groups endpoint to retrieve user group IDs.
Either userIds or userGroupIds is required.
Permissions revoked successfully
true
Was this page helpful?